<?php
class Usuario
{
	public  $qry;
	private	$sql;
	private $id_empresa;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}
	public function SelectUsuario($id_usuario = 0)
	{
		$this->sql = "select id_usuario, login, nome, cpf, rg, endereco, bairro, cidade, cep, email, telefone, celular, admissao, senha, funcao
						  from usuario ";
		if ($id_usuario != 0) {
			$this->sql .= " where id_usuario = $id_usuario and ";
		} else {
			$this->sql .= ' where ';
		}
		$this->sql .= "id_empresa = $this->id_empresa limit 1";

		$this->execulta();
	}

	public function VerificarDuplicidade($valor, $campo)
	{
		$this->sql = "select $campo from usuario
						 where $campo = '$valor'
						 ";
		$this->execulta();
	}

	public function InsertUsuario($login, $nome, $cpf, $rg, $endereco, $bairro, $cidade, $cep, $email, $telefone, $celular, $admissao, $senha, $funcao)
	{
		$login		= addslashes($login);
		$nome		= addslashes($nome);
		$rg			= addslashes($rg);
		$endereco	= addslashes($endereco);
		$bairro		= addslashes($bairro);
		$cidade		= addslashes($cidade);
		$email		= addslashes($email);
		$senha		= addslashes($senha);
		$funcao		= addslashes($funcao);

		$this->sql = "INSERT INTO usuario
						(login, nome, cpf, rg, endereco, bairro, cidade, cep, email, telefone, celular, admissao, senha, funcao, id_empresa)
						VALUES
						('$login', '$nome', '$cpf', '$rg', '$endereco', '$bairro', '$cidade', '$cep', '$email', '$telefone', '$celular', '$admissao', '$senha', '$funcao', '$this->id_empresa')
								";
		$this->execulta();
		return mysqli_insert_id();
	}


	public function UpadateUsuario($id_usuario, $login, $nome, $cpf, $rg, $endereco, $bairro, $cidade, $cep, $email, $telefone, $celular, $admissao, $senha, $funcao)
	{
		$login		= addslashes($login);
		$nome		= addslashes($nome);
		$rg			= addslashes($rg);
		$endereco	= addslashes($endereco);
		$bairro		= addslashes($bairro);
		$cidade		= addslashes($cidade);
		$email		= addslashes($email);
		$senha		= addslashes($senha);
		$funcao		= addslashes($funcao);

		$this->sql = "UPDATE usuario
						 SET 
						login = '$login',
						nome = '$nome',
						cpf = '$cpf',
						rg = '$rg',
						endereco = '$endereco',
						bairro = '$bairro',
						cidade = '$cidade',
						cep = '$cep',
						email = '$email',
						telefone = '$telefone',
						celular = '$celular',
						admissao = '$admissao',
						senha = '$senha',
						funcao = '$funcao' 
						WHERE id_usuario = '$id_usuario'";
		$this->execulta();
	}


	public function DeleteUsuario($id_usuario)
	{
		$this->sql = "delete from usuario
							where id_usuario = '$id_usuario'";
		$this->execulta();
	}


	public function LocalizarUsuario($Localizador)
	{
		$this->sql = "select id_usuario, nome, cpf, login
							  from usuario
							  where id_empresa = $this->id_empresa 
							  and nome like '%$Localizador%'";
		$this->execulta();
	}
}
